# -*-Tcl-*-
# JLdL 11Nov07.
#
# This file is the initialization (rc) file for the Tcl/Tk program
# _ "complex-functions"; it must be named ".complex-functions.rc"
# _ and exist in the current working directory; it must be written
# _ in the Tcl language, and each line should define a variable
# _ with the command "set"; any variables not actually used in the
# _ program will be ignored; here is a list of all the relevant
# _ variables which can be set in this file:
# _    mx_pos: the x position of the main Tcl/Tk window;
# _    my_pos: the y position of the main Tcl/Tk window;
# _    i_func: the choice of the complex function;
# _    a_real: the real part of the parameter A;
# _    a_imag: the imaginary part of the parameter A;
# _    b_real: the real part of the parameter B;
# _    b_imag: the imaginary part of the parameter B;
# _    c_real: the real part of the parameter C;
# _    c_imag: the imaginary part of the parameter C;
# _    npower: the power N of "z^N" in the functions;
# _    xr_min: the minimum value of the real part of z;
# _    xr_max: the maximum value of the real part of z;
# _    yi_min: the minimum value of the imaginary part of z;
# _    yi_max: the maximum value of the imaginary part of z;
# _    xp_org: the x position of the imaginary axis;
# _    yp_org: the y position of the real axis;
# _    i_cscp: the choice of grid coordinate system;
# _    i_vect: the choice of vector to plot;
# _    gr_siz: the plotting grid size;
# _    sm_rad: the radius of the singularity marker;
# _    iw_scl: the overall scale of the plotting window.
#
# The examples below show the default values for the variables.
#
# These are in integer pixel units.
set mx_pos -100
set my_pos  100
#
# This one must be in the range [1-8], in the order
# _ shown in the complex function menu.
set i_func 1
#
# These are in floating-point coordinate units.
set a_real 0.5
set a_imag 0.0
set b_real 1.0
set b_imag 0.0
set c_real 0.0
set c_imag 0.0
#
# This can be any integer, positive or negative.
set npower 1
#
# These are in floating-point coordinate units.
set xr_min -2.0
set xr_max  2.0
set yi_min -2.0
set yi_max  2.0
#
# These are in floating-point coordinate units.
set xp_org 0.0
set yp_org 0.0
#
# This one must be in the range [0-3], in the order
# _ shown in the coordinate system menu.
set i_cscp 0
#
# This one must be in the range [0-5], in the order
# _ shown in the vector function menu.
set i_vect 0
#
# This is in floating-point coordinate units.
set gr_siz 0.2
#
# This is in floating-point coordinate units.
set sm_rad 0.01
#
# This is in integer pixel units.
set iw_scl 665
